<?php
/**
* Plugin allow to insert eidogo applet into Joomla articles. Joomla 1.5 native.
* @version 1.5.0
* @package
* @copyright igotoy and various GPL sources
* @license http://www.fsf.org/licensing/licenses/agpl-3.0.html
*/

//You can not directly access the file when you put this code at the beginning:
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//Now set the registerEvent. The action will start before the content is opened.
$mainframe->registerEvent( 'onPrepareContent', 'plgEidogo' );

//The real function starts here
function plgEidogo( &$row, &$params, $page=0 )
{
     //Access the database
     $db =& JFactory::getDBO();
     $document	= & JFactory::getDocument();
     $scriptPath = 'scripts/eidogo/player/js/';
    
     //Check whether the bot should process or not
     if ( JString::strpos( $row->text, 'eidogo' ) === false ) {
        return true;
     }else{
        $tag = '<script type="text/javascript" src="'.$scriptPath.'all.compressed.js"></script>';
        $document->addCustomTag($tag);
     }

    //Get plugin info
    $plugin =& JPluginHelper::getPlugin('content', 'eidogo');
    
    //Search for this tag in the content
    $regex = '/{eidogo\s*(.*?)}/i';
    
    //Access the parameters
    $pluginParams = new JParameter( $plugin->params );

    //Check whether plugin has been unpublished
    if ( !$pluginParams->get( 'enabled', 1 ) ) {
        $row->text = preg_replace( $regex, '', $row->text );
        return true;
    }

	// perform the replacement
	$row->text = preg_replace_callback( $regex, 'eidogoReplacer', $row->text );

	return true;
}

/**
* Replaces the matched tags
*/
function eidogoReplacer( &$matches ) {
    global $mainframe;

	if ($matches[1])
    {
       $params= explode(",",$matches[1]);
	}

	$disp = $params[0];
	$url = $params[1];

	$sgfPath = '/images/stories/sgf/';
	
	switch($disp)
    {
        case "auto" :
        $code .= '<div class="eidogo-player-auto" sgf="'.$sgfPath.$url.'"></div>';
        break;
        case "problem" :
        $code .= '<div class="eidogo-player-problem" sgf="'.$sgfPath.$url.'"></div>';
        break;
        default :
        $code .= '<div class="eidogo-player-auto" sgf="'.$sgfPath.$url.'"></div>';
        break;
    }

    return $code;
}

?>









